
{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
    <!-- ==========Page Header Section Starts Here========== -->
    <div class="pageheader" style="background-image:url({% static "assets/images/bg/home1/2.png" %})">
        <div class="container">
            <div class="pageheader__content">
                <h2>{% trans "Course Category" %}</h2>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{% url "home:home" %}">{% trans "Home" %}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{% trans "Course Category" %}</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <!-- ==========Page Header Section Ends Here========== -->




    <!-- ==========Courses Section start Here========== -->
    <div class="course course--style1 padding-top padding-bottom">
        <div class="container">
            <div class="course__topbar mb-5" data-aos="fade-up" data-aos-duration="800">
               
                <div class="course__topbar-right">
                    <div class="course__search">
                        <div class="body">
                            <form class="" action="#">
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="Search">
                                    <button type="submit" class="search-btn"><i
                                            class="fa-solid fa-magnifying-glass"></i></button>
                                </div>
                            </form>
                        </div> 
                    </div>
                </div>
            </div>

            <div class="course__wrapper" data-aos="fade-up" data-aos-duration="1000">
                <div class="row g-4">
                    {% if cources %}
                        {% for cource in cources %}
                            <div class="col-lg-4 col-md-6">
                                <div class="course__item">
                                    <div class="course__item-inner">
                                        <div class="course__thumb">
                                            {% if cource.photo %}
                                            <img src="{{ cource.photo.url }}" alt="course Images">
                                            {% endif %}
                                            <a href="#" class="course__btn course__btn--save course__btn--active"><i
                                                    class="fa-regular fa-bookmark"></i></a>
                                        </div>

                                        <div class="course__content">
                                            <div class="course__content-top">
                                                <span class="course__meta-tag course__meta-tag--cat{{ cource.category.style }}">{{ cource.category }}</span>
                                                <div class="course__focus-inner">
                                                    <span>4.5</span>
                                                    <img src="{% static "assets/images/course/star.png" %}" alt="review-star">
                                                    <span>(1326)</span>
                                                </div>
                                            </div>
                                            <h6> <a href="course-details.html">{{ cource.title }}</a> </h6>

                                            <div class="course__content-bottom">
                                                <a href="{% url "home:mentor_detail" cource.teacher.id %}">
                                                    {% if cource.teacher.photo %}
                                                        <img src="{{ cource.teacher.photo.url }}" width='10%'
                                                        alt="avatar">
                                                    {% endif %} {{ cource.teacher.full_name }}</a>
                                                <div class="course-price">
                                                    {% if cource.get_descount_price %}
                                                    <del>{{ cource.price }} {% trans "so'm" %}</del> <span>  {{ cource.get_descount_price }} {% trans "so'm" %}</span>
                                                    {% else %}
                                                    <span>  {{ cource.price }} {% trans "so'm" %}</span>
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    {% else %}
                        <h6>{% trans "Course Not Found" %}</h6>
                    {% endif %}
                </div>
                
            </div>
        </div>
    </div>
    <!-- ==========Courses Section Ends Here========== -->







    <!-- ===============>> newsletter start here <<================= -->
    <div class="newsletter" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="newsletter__wrapper">
                <div class="newsletter__content">
                    <div class="newsletter__content-inner newsletter__content-inner--style1 text-center"
                        style="background-image:url({% static "assets/images/footer/2.png" %})">
                        <h2>{% trans "Start learning future professions online with us right now" %}</h2>

                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Join With Us" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> newsletter end here <<================= -->

{% endblock content %}